Skip to main content
GET
/
v1
/
Outbound
Get Outbounds
curl --request GET \
  --url https://api.nlpearl.ai/v1/Outbound \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.nlpearl.ai/v1/Outbound"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.nlpearl.ai/v1/Outbound', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "id": "<string>",
    "name": "<string>",
    "totalAgents": 123,
    "status": 123,
    "created": "2023-11-07T05:31:56Z",
    "budgetTotal": 123,
    "budgetConsumed": 123,
    "totalLeads": 123
  }
]
{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errors": {}
}

Authorizations

Authorization
string
header
required

Specify the authorization token.

For more information, check out the Authorization Guide.

Response

A list of outbounds.

id
string | null

The unique identifier of the outbound activity.

name
string | null

The name of the outbound activity.

totalAgents
integer<int32>

The total number of agents allocated to this outbound activity.

status
integer<int32>

Here is the activity status

1 - Running

2 - Paused

3 - Suspended

10 - TemporaryMaintenance

created
string<date-time>

The date and time when the outbound activity was created.

budgetTotal
integer<int32> | null

The total budget allocated for this outbound activity.

budgetConsumed
integer<int32>

The amount of the budget that has been consumed so far.

totalLeads
integer<int32>

The total number of leads associated with this outbound activity.